if __name__ == "__main__":
    import os
    import sys

    SCRIPT_DIR = os.path.dirname(os.path.abspath(__file__))
    sys.path.append(os.path.dirname(SCRIPT_DIR))
    
    from common.deploy_notification import send_updater_notification

    print(sys.argv)

    for key, value in os.environ.items():
        print("'{}': '{}'".format(key, value))

    project_name = os.environ['CI_PROJECT_TITLE']
    project_release_version = os.environ['release_version']
    project_release_type = os.environ['release_type']
    plugin_project_name = os.environ['plugin_project_name']

    send_updater_notification(project_name, project_release_version, project_release_type, plugin_project_name)
